Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1055853 - [RFE][nova]: New Scheduler Driver that adds in caching
Summary: [RFE][nova]: New Scheduler Driver that adds in caching
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: Upstream M3
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact: Ami Jeain
URL: https://blueprints.launchpad.net/nova...
Whiteboard: upstream_milestone_icehouse-3 upstrea...
Depends On:
Blocks: 1082395
TreeView+ depends on / blocked
 
Reported: 2014-01-21 05:01 UTC by RHOS Integration
Modified: 2019-09-09 13:49 UTC (History)
6 users (show)

Fixed In Version: openstack-nova-2014.1-3.el7ost
Doc Type: Enhancement
Doc Text:
The Compute service now includes a caching scheduler driver to help improve scheduler performance. The caching scheduler uses existing facilities for applying scheduler filters and weights, and caches the resultant list of available hosts. When a user request is passed to the caching scheduler, the driver attempts to schedule based on the list of cached hosts (and only uses non-cached information if the attempt fails).
Clone Of:
: 1082395 (view as bug list)
Environment:
Last Closed: 2014-07-08 15:27:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 67855 0 None None None Never
Red Hat Product Errata RHEA-2014:0853 0 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform Enhancement - Compute 2014-07-08 19:22:38 UTC

Description RHOS Integration 2014-01-21 05:01:24 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/nova/+spec/caching-scheduler.

Description:

I believe we need to encourage more scheduler innovation, by encouraging more scheduler drivers, allowing people to make different tradeoffs. Some of these may be dead ends, but I hope they may spark better ideas, and some may become the default scheduler, if they prove themselves.

This new driver attempts to:
* generate a list of pre-picked scheduler slots
* when user request hits scheduler, attempts to pick cached decision first

The idea is to do most of the expensive work up front, and do some very reduced filtering/weighting of hosts on each user request.

Implementation wise:
* this is a new driver
* uses the existing host manager for filtering and weighting
* will not have all the features of the existing filter scheduler

The current implementation is designed to work well under a low, but predictable load, when the cloud is also got a reasonable amount of space capacity.

Once this initial draft is complete (this blueprint), we can look at further ideas (in a follow up blueprint) to scale out the scheduler to multiple hosts with either:
* shared scheduler cache (centralised)
* pre-commit resources on a specific compute node's resource manager (de-centralised)

Specification URL (additional information):

None

Comment 5 errata-xmlrpc 2014-07-08 15:27:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHEA-2014-0853.html


Note You need to log in before you can comment on or make changes to this bug.